# MPI_File_write_at_all_end

## NAME

MPI_File_write_at_all_end − Writes a file at explicitly specified offsets; ending part of a split collective routine (blocking).

## SYNTAX

C Syntax
#include <mpi.h>
int MPI_File_write_at_all_end(MPI_File fh, void *buf,

|  | MPI_Status *status)

## Fortran Syntax

INCLUDE ’mpif.h’
MPI_FILE_WRITE_AT_ALL_END(FH, BUF, STATUS, IERROR)

|  | <type> |  |  |  | BUF(*)
|  | INTEGER |  |  |  | FH, STATUS(MPI_STATUS_SIZE), IERROR

## C++ Syntax

#include <mpi.h>
void MPI::File::Write_at_all_end(const void* buf, MPI::Status& status)

void MPI::File::Write_at_all_end(const void* buf)

## INPUT/OUTPUT PARAMETER

| fh |  | File handle (handle). |

## INPUT PARAMETER

| buf |  | Initial address of buffer (choice). |

## OUTPUT PARAMETERS

| status |  | Status object (status). |
| IERROR |  | Fortran only: Error status (integer). |

## DESCRIPTION

MPI_File_write_at_all_end is the ending part of a split collective routine that stores the number of elements actually written into the file associated with fh in status. The data is written into those parts of the file specified by the current view. All other fields of status are undefined.

## NOTES

All the nonblocking collective routines for data access are "split" into two routines, each with _begin or _end as a suffix. These split collective routines are subject to the semantic rules described in Section 9.4.5 of the MPI-2 standard.

## ERRORS

Almost all MPI routines return an error value; C routines as the value of the function and Fortran routines in the last argument. C++ functions do not return errors. If the default error handler is set to MPI::ERRORS_THROW_EXCEPTIONS, then on error the C++ exception mechanism will be used to throw an MPI:Exception object.

Before the error value is returned, the current MPI error handler is called. For MPI I/O function errors, the default error handler is set to MPI_ERRORS_RETURN. The error handler may be changed with MPI_File_set_errhandler; the predefined error handler MPI_ERRORS_ARE_FATAL may be used to make I/O errors fatal. Note that MPI does not guarantee that an MPI program can continue past an error.

MPI API Index